﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using TestCSharpCallMatlab;
using MathWorks.MATLAB.NET.Arrays;
using MathWorks.MATLAB.NET.Utility;

namespace TestCSharpCallMatlabApplication2008
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                DemoTest test = new DemoTest();
                int[] offset = { 2 };
                int[] ppp = { 3 };
                MWArray a = new MWNumericArray(1, 1, offset);
                MWArray b = new MWNumericArray(1, 1, ppp);
                MWNumericArray results = (MWNumericArray)test.multiply(a, b);
                textBox1.Text = string.Format("2 * 3 = {0}", (int)results[1]);

            }
            catch (Exception ex)
            {

                MessageBox.Show(ex.Message);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                DemoTest test = new DemoTest();
                int[] offset = { 3 };
                MWArray a = new MWNumericArray(1, 1, offset);
                MWNumericArray results = (MWNumericArray)test.makesquare(a);
                StringBuilder sb = new StringBuilder();
                sb.AppendLine(string.Format("{0}, {1}, {2}", results[1], results[2], results[3]));
                sb.AppendLine(string.Format("{0}, {1}, {2}", results[4], results[5], results[6]));
                sb.AppendLine(string.Format("{0}, {1}, {2}", results[7], results[8], results[9]));
                textBox2.Text = sb.ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
